f3fix(1)

NAME
f3fix - edit the partition table of a fake flash drive

SYNOPSIS
 f3fix [-bnks?V] [-a SEC-NUM] [-d TYPE] [-f TYPE] [-l SEC-NUM]
          [--first-sec=SEC-NUM] [--boot] [--disk-type=TYPE] [--fs-type=TYPE]
          [--last-sec=SEC-NUM] [--no-boot] [--list-disk-types]
          [--list-fs-types] [--help] [--usage] [--version] <DISK_DEV>

DESCRIPTION
F3 stands for Fight Flash Fraud, or Fight Fake Flash.

f3fix is useful to edit the partition table of a fake flash drive to have a single partition that fully covers the real capacity of the drive.

Warning: THIS COMMAND IS EXPERIMENTAL.

OPTIONS

-a, --first-sec=SEC-NUM
    Sector where the partition starts.

-b, --boot
    Mark the partition for boot.

-d, --disk-type=TYPE
    Disk type of the partition table.

-f, --fs-type=TYPE
    Type of the file system of the partition.

-l, --last-sec=SEC-NUM
    Sector where the partition ends.

-n, --no-boot
    Do not mark the partition for boot.

-k, --list-disk-types
    List all supported disk types.

-s, --list-fs-types
    List all supported types of file systems.

-?, --help
    Give this help list.

--usage
    Give a short usage message.

-V, --version
    Print program version.

SEE ALSO
f3brew(1), f3probe(1), f3read(1), f3write(1)

AUTHOR
The F3 was written by Michel Machado <michel@digirati.com.br>.

This manual page was written by Joao Eriberto Mota Filho <eriberto@debian.org> for the Debian project (but may be used by others).